package de.jg_cody.Terraplex.ui.home;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import de.jg_cody.Terraplex.R;

public class HomeFragment extends Fragment {

    public static String user, password, ip;

    public static EditText ipInput;
    public static EditText userInput;
    public static EditText passwordInput;
    Button loginButton;

    private HomeViewModel homeViewModel;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        homeViewModel =
                new ViewModelProvider(this).get(HomeViewModel.class);
        View root = inflater.inflate(R.layout.fragment_home, container, false);
        final TextView textView = root.findViewById(R.id.text_home);
        homeViewModel.getText().observe(getViewLifecycleOwner(), new Observer<String>() {
            @Override
            public void onChanged(@Nullable String s) {
                textView.setText(s);
            }
        });
        userInput = (EditText) root.findViewById(R.id.userInput);
        passwordInput = (EditText) root.findViewById(R.id.passwordInput);
        ipInput = (EditText) root.findViewById(R.id.ipInput);
        loginButton = (Button) root.findViewById(R.id.loginButton);
        loginButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                user = userInput.getText().toString();
                password = passwordInput.getText().toString();
                ip = ipInput.getText().toString();

                Toast.makeText(root.getContext(),ip,Toast.LENGTH_SHORT).show();
                Toast.makeText(root.getContext(),user,Toast.LENGTH_SHORT).show();
                Toast.makeText(root.getContext(),password,Toast.LENGTH_SHORT).show();
            }
        });
        return root;
    }
}
