package de.jg_cody.Terraplex.ui.Konsole;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import de.jg_cody.Terraplex.R;
import de.jg_cody.Terraplex.SSH_connection;

import static de.jg_cody.Terraplex.ui.home.HomeFragment.ip;
import static de.jg_cody.Terraplex.ui.home.HomeFragment.password;
import static de.jg_cody.Terraplex.ui.home.HomeFragment.user;

public class KonsoleFragment extends Fragment {

    public static String command;

    public static EditText befehlInput;
    Button SendCommandButton;

    private KonsoleViewModel konsoleViewModel;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        konsoleViewModel =
                new ViewModelProvider(this).get(KonsoleViewModel.class);
        View root = inflater.inflate(R.layout.fragment_konsole, container, false);
        final TextView textView = root.findViewById(R.id.text_konsole);
        konsoleViewModel.getText().observe(getViewLifecycleOwner(), new Observer<String>() {
            @Override
            public void onChanged(@Nullable String s) {
                textView.setText(s);
            }
        });
        befehlInput = (EditText) root.findViewById(R.id.befehlInput);
        SendCommandButton = (Button) root.findViewById(R.id.SendCommandButton);
        SendCommandButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                try {
                command = befehlInput.getText().toString();

                Toast.makeText(root.getContext(),command,Toast.LENGTH_SHORT).show();
                SSH_connection.executeRemoteCommand(ip, user, password, command);
                } catch (Exception e) {
                }}
        });
        return root;
    }
}